org.keycloak.authorization.admin.util

## Class Models

- java.lang.Object
- - org.keycloak.authorization.admin.util.Models

-     public final class Models
      extends Object

  Some utility methods to transform models to representations and vice-versa.
  Author:
    Pedro Igor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Models()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Policy` | `toModel(PolicyRepresentation policy, ResourceServer resourceServer, AuthorizationProvider authorizationManager)`
    `static Resource` | `toModel(ResourceRepresentation resource, ResourceServer resourceServer, AuthorizationProvider authorization)`
    `static ResourceServer` | `toModel(ResourceServerRepresentation server, AuthorizationProvider authorization)`
    `static Scope` | `toModel(ScopeRepresentation scope, ResourceServer resourceServer, AuthorizationProvider authorization)`
    `static PolicyRepresentation` | `toRepresentation(Policy model, AuthorizationProvider authorization)`
    `static ResourceRepresentation` | `toRepresentation(Resource model, ResourceServer resourceServer, AuthorizationProvider authorization)`
    `static ResourceServerRepresentation` | `toRepresentation(ResourceServer model, RealmModel realm)`
    `static ScopeRepresentation` | `toRepresentation(Scope model, AuthorizationProvider authorizationProvider)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Models

          public Models()

  - ### Method Detail

    - #### toRepresentation

          public static ScopeRepresentation toRepresentation(Scope model,
                                                             AuthorizationProvider authorizationProvider)

    - #### toModel

          public static Scope toModel(ScopeRepresentation scope,
                                      ResourceServer resourceServer,
                                      AuthorizationProvider authorization)

    - #### toRepresentation

          public static ResourceServerRepresentation toRepresentation(ResourceServer model,
                                                                      RealmModel realm)

    - #### toModel

          public static ResourceServer toModel(ResourceServerRepresentation server,
                                               AuthorizationProvider authorization)

    - #### toRepresentation

          public static PolicyRepresentation toRepresentation(Policy model,
                                                              AuthorizationProvider authorization)

    - #### toModel

          public static Policy toModel(PolicyRepresentation policy,
                                       ResourceServer resourceServer,
                                       AuthorizationProvider authorizationManager)

    - #### toRepresentation

          public static ResourceRepresentation toRepresentation(Resource model,
                                                                ResourceServer resourceServer,
                                                                AuthorizationProvider authorization)

    - #### toModel

          public static Resource toModel(ResourceRepresentation resource,
                                         ResourceServer resourceServer,
                                         AuthorizationProvider authorization)

Copyright © 2016 JBoss by Red Hat. All rights reserved.